/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class BatchGetMinutesDetailsHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class BatchGetMinutesDetailsRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    taskUuids?: string[];
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class BatchGetMinutesDetailsResponseBody extends $tea.Model {
    minutesDetails?: BatchGetMinutesDetailsResponseBodyMinutesDetails[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class BatchGetMinutesDetailsResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: BatchGetMinutesDetailsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateMinutesByUploadFileHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateMinutesByUploadFileRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    bizId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    creatorId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * https://media.source/audiotominutes.ogg
     */
    mediaFileUrl?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * audio
     */
    mediaType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 11-20 录音
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateMinutesByUploadFileResponseBody extends $tea.Model {
    bizId?: string;
    /**
     * @example
     * 7632756964313430aaaaaaaaaaaaaaaaaaaaaaaaaa7363731333633305f35
     */
    taskUuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateMinutesByUploadFileResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateMinutesByUploadFileResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSmartDeviceAiSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSmartDeviceAiSummaryRequest extends $tea.Model {
    agentId?: string;
    instanceId?: string;
    isvContext?: string;
    openFileId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSmartDeviceAiSummaryResponseBody extends $tea.Model {
    async?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateSmartDeviceAiSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateSmartDeviceAiSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMinutesHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMinutesRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMinutesResponseBody extends $tea.Model {
    taskUuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMinutesResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteMinutesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ExportMinutesTaskResultHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ExportMinutesTaskResultRequest extends $tea.Model {
    expireTime?: number;
    summaryExportSetting?: ExportMinutesTaskResultRequestSummaryExportSetting;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * text
     */
    taskType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 763xxxxxx325f32
     */
    taskUuid?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * D5xxxxxxxxxxxxxxEiE
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ExportMinutesTaskResultResponseBody extends $tea.Model {
    minutesDocUrl?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ExportMinutesTaskResultResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ExportMinutesTaskResultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GenerateSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GenerateSummaryRequest extends $tea.Model {
    /**
     * @example
     * 1
     */
    diyTemplateVersion?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * meeting-assistant
     */
    summaryTemplateId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 0
     */
    summaryTemplateType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GenerateSummaryResponseBody extends $tea.Model {
    summaryText?: string;
    taskUuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GenerateSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GenerateSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenQueryMinutesSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenQueryMinutesSummaryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    taskUuid?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenQueryMinutesSummaryResponseBody extends $tea.Model {
    fullSummary?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OpenQueryMinutesSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: OpenQueryMinutesSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryBizMinutesHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryBizMinutesRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    bizId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    bizType?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryBizMinutesResponseBody extends $tea.Model {
    minutesDetails?: QueryBizMinutesResponseBodyMinutesDetails[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryBizMinutesResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryBizMinutesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryCreateMinutesListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryCreateMinutesListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryCreateMinutesListResponseBody extends $tea.Model {
    hasNext?: boolean;
    minutesDetails?: QueryCreateMinutesListResponseBodyMinutesDetails[];
    nextToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryCreateMinutesListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryCreateMinutesListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesBasicInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesBasicInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    taskUuid?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesBasicInfoResponseBody extends $tea.Model {
    duration?: number;
    endTime?: number;
    startTime?: number;
    taskCreator?: string;
    taskUuid?: string;
    title?: string;
    url?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesBasicInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesBasicInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesKeywordHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesKeywordRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * D5xxxxxxxxxgiEiE
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesKeywordResponseBody extends $tea.Model {
    keywords?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesKeywordResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesKeywordResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesPlayInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesPlayInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesPlayInfoResponseBody extends $tea.Model {
    playInfo?: QueryMinutesPlayInfoResponseBodyPlayInfo;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesPlayInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesPlayInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesShareListHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesShareListRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    maxResults?: number;
    nextToken?: string;
    scene?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesShareListResponseBody extends $tea.Model {
    hasNext?: boolean;
    minutesDetails?: QueryMinutesShareListResponseBodyMinutesDetails[];
    nextToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesShareListResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesShareListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesStatusHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesStatusRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesStatusResponseBody extends $tea.Model {
    status?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesStatusResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesStatusResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextRequest extends $tea.Model {
    direction?: number;
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextResponseBody extends $tea.Model {
    hasNext?: boolean;
    nextToken?: string;
    paragraphList?: QueryMinutesTextResponseBodyParagraphList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesTextResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTodoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTodoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * D5xxxxxxxxxgiEiE
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTodoResponseBody extends $tea.Model {
    actions?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTodoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryMinutesTodoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryScheduleConfMinutesHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryScheduleConfMinutesRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    eventId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryScheduleConfMinutesResponseBody extends $tea.Model {
    minutesDetails?: QueryScheduleConfMinutesResponseBodyMinutesDetails[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryScheduleConfMinutesResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryScheduleConfMinutesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySmartDeviceAiSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySmartDeviceAiSummaryRequest extends $tea.Model {
    agentId?: string;
    openFileId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySmartDeviceAiSummaryResponseBody extends $tea.Model {
    aiSummaryList?: QuerySmartDeviceAiSummaryResponseBodyAiSummaryList[];
    state?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySmartDeviceAiSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QuerySmartDeviceAiSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySummaryWithTemplateHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySummaryWithTemplateRequest extends $tea.Model {
    /**
     * @example
     * 1
     */
    diyTemplateVersion?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * meeting-assistant
     */
    summaryTemplateId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 0
     */
    summaryTemplateType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySummaryWithTemplateResponseBody extends $tea.Model {
    summaryText?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySummaryWithTemplateResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QuerySummaryWithTemplateResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryUploadVideoPlayInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryUploadVideoPlayInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryUploadVideoPlayInfoResponseBody extends $tea.Model {
    playInfo?: QueryUploadVideoPlayInfoResponseBodyPlayInfo;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryUploadVideoPlayInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryUploadVideoPlayInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateMinutesTitleHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateMinutesTitleRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    title?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateMinutesTitleResponseBody extends $tea.Model {
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateMinutesTitleResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateMinutesTitleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionRequest extends $tea.Model {
    memberInfoList?: UpdatePermissionRequestMemberInfoList[];
    /**
     * @example
     * 0
     */
    opType?: number;
    /**
     * @example
     * 1000
     */
    roleCode?: string;
    roleSubResourceIds?: string[];
    /**
     * @example
     * 0
     */
    shareScope?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionResponseBody extends $tea.Model {
    failMemberInfoList?: UpdatePermissionResponseBodyFailMemberInfoList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdatePermissionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class BatchGetMinutesDetailsResponseBodyMinutesDetails extends $tea.Model {
    bizType?: number;
    creatorNick?: string;
    creatorUnionId?: string;
    durationMicros?: number;
    isDeleted?: number;
    size?: number;
    startTime?: number;
    status?: number;
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ExportMinutesTaskResultRequestSummaryExportSetting extends $tea.Model {
    enableBilingual?: boolean;
    /**
     * @example
     * zh
     */
    targetLang?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryBizMinutesResponseBodyMinutesDetails extends $tea.Model {
    bizType?: number;
    creatorNick?: string;
    creatorUnionId?: string;
    durationMicros?: number;
    isDeleted?: number;
    size?: number;
    startTime?: number;
    status?: number;
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryCreateMinutesListResponseBodyMinutesDetails extends $tea.Model {
    bizType?: number;
    creatorNick?: string;
    creatorUnionId?: string;
    durationMicros?: number;
    isDeleted?: number;
    size?: number;
    startTime?: number;
    status?: number;
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesPlayInfoResponseBodyPlayInfo extends $tea.Model {
    downloadUrl?: string;
    duration?: string;
    mediaType?: string;
    playUrl?: string;
    size?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesShareListResponseBodyMinutesDetails extends $tea.Model {
    bizType?: number;
    creatorNick?: string;
    creatorUnionId?: string;
    durationMicros?: number;
    isDeleted?: number;
    size?: number;
    startTime?: number;
    status?: number;
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextResponseBodyParagraphListSentenceListWordList extends $tea.Model {
    endTime?: number;
    startTime?: number;
    word?: string;
    wordId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextResponseBodyParagraphListSentenceList extends $tea.Model {
    endTime?: number;
    sentence?: string;
    startTime?: number;
    wordList?: QueryMinutesTextResponseBodyParagraphListSentenceListWordList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryMinutesTextResponseBodyParagraphList extends $tea.Model {
    endTime?: number;
    nickName?: string;
    paragraph?: string;
    paragraphId?: number;
    recordId?: number;
    sentenceList?: QueryMinutesTextResponseBodyParagraphListSentenceList[];
    startTime?: number;
    subSpeakerId?: string;
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryScheduleConfMinutesResponseBodyMinutesDetails extends $tea.Model {
    bizType?: number;
    creatorNick?: string;
    creatorUnionId?: string;
    durationMicros?: number;
    isDeleted?: number;
    size?: number;
    startTime?: number;
    status?: number;
    taskUuid?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QuerySmartDeviceAiSummaryResponseBodyAiSummaryList extends $tea.Model {
    agentId?: string;
    aiSceneRuleAvatarUrl?: string;
    creatorUnionId?: string;
    instanceId?: string;
    openFileId?: string;
    order?: number;
    summary?: string;
    templateId?: string;
    title?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryUploadVideoPlayInfoResponseBodyPlayInfo extends $tea.Model {
    duration?: number;
    playUrl?: string;
    size?: number;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionRequestMemberInfoList extends $tea.Model {
    /**
     * @example
     * 2
     */
    memberType?: number;
    /**
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    memberUnionId?: string;
    /**
     * @example
     * 2
     */
    policyId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdatePermissionResponseBodyFailMemberInfoList extends $tea.Model {
    /**
     * @example
     * 2
     */
    memberType?: number;
    /**
     * @example
     * lJcRnm39OsU4jlFVmRGXXXXX
     */
    memberUnionId?: string;
    /**
     * @example
     * 2
     */
    policyId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 批量获取闪记详情
     *
     * @param request - BatchGetMinutesDetailsRequest
     * @param headers - BatchGetMinutesDetailsHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns BatchGetMinutesDetailsResponse
     */
    batchGetMinutesDetailsWithOptions(request: BatchGetMinutesDetailsRequest, headers: BatchGetMinutesDetailsHeaders, runtime: $Util.RuntimeOptions): Promise<BatchGetMinutesDetailsResponse>;
    /**
     * 批量获取闪记详情
     *
     * @param request - BatchGetMinutesDetailsRequest
     * @returns BatchGetMinutesDetailsResponse
     */
    batchGetMinutesDetails(request: BatchGetMinutesDetailsRequest): Promise<BatchGetMinutesDetailsResponse>;
    /**
     * 从上传的媒体文件创建闪记
     *
     * @param request - CreateMinutesByUploadFileRequest
     * @param headers - CreateMinutesByUploadFileHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateMinutesByUploadFileResponse
     */
    createMinutesByUploadFileWithOptions(request: CreateMinutesByUploadFileRequest, headers: CreateMinutesByUploadFileHeaders, runtime: $Util.RuntimeOptions): Promise<CreateMinutesByUploadFileResponse>;
    /**
     * 从上传的媒体文件创建闪记
     *
     * @param request - CreateMinutesByUploadFileRequest
     * @returns CreateMinutesByUploadFileResponse
     */
    createMinutesByUploadFile(request: CreateMinutesByUploadFileRequest): Promise<CreateMinutesByUploadFileResponse>;
    /**
     * 创建DingTalkA1小助理分析
     *
     * @param request - CreateSmartDeviceAiSummaryRequest
     * @param headers - CreateSmartDeviceAiSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateSmartDeviceAiSummaryResponse
     */
    createSmartDeviceAiSummaryWithOptions(request: CreateSmartDeviceAiSummaryRequest, headers: CreateSmartDeviceAiSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<CreateSmartDeviceAiSummaryResponse>;
    /**
     * 创建DingTalkA1小助理分析
     *
     * @param request - CreateSmartDeviceAiSummaryRequest
     * @returns CreateSmartDeviceAiSummaryResponse
     */
    createSmartDeviceAiSummary(request: CreateSmartDeviceAiSummaryRequest): Promise<CreateSmartDeviceAiSummaryResponse>;
    /**
     * 删除闪记
     *
     * @param request - DeleteMinutesRequest
     * @param headers - DeleteMinutesHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteMinutesResponse
     */
    deleteMinutesWithOptions(taskUuid: string, request: DeleteMinutesRequest, headers: DeleteMinutesHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteMinutesResponse>;
    /**
     * 删除闪记
     *
     * @param request - DeleteMinutesRequest
     * @returns DeleteMinutesResponse
     */
    deleteMinutes(taskUuid: string, request: DeleteMinutesRequest): Promise<DeleteMinutesResponse>;
    /**
     * 导出闪记任务结果
     *
     * @param request - ExportMinutesTaskResultRequest
     * @param headers - ExportMinutesTaskResultHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ExportMinutesTaskResultResponse
     */
    exportMinutesTaskResultWithOptions(request: ExportMinutesTaskResultRequest, headers: ExportMinutesTaskResultHeaders, runtime: $Util.RuntimeOptions): Promise<ExportMinutesTaskResultResponse>;
    /**
     * 导出闪记任务结果
     *
     * @param request - ExportMinutesTaskResultRequest
     * @returns ExportMinutesTaskResultResponse
     */
    exportMinutesTaskResult(request: ExportMinutesTaskResultRequest): Promise<ExportMinutesTaskResultResponse>;
    /**
     * 生成摘要
     *
     * @param request - GenerateSummaryRequest
     * @param headers - GenerateSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GenerateSummaryResponse
     */
    generateSummaryWithOptions(taskUuid: string, request: GenerateSummaryRequest, headers: GenerateSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<GenerateSummaryResponse>;
    /**
     * 生成摘要
     *
     * @param request - GenerateSummaryRequest
     * @returns GenerateSummaryResponse
     */
    generateSummary(taskUuid: string, request: GenerateSummaryRequest): Promise<GenerateSummaryResponse>;
    /**
     * 查询闪记摘要
     *
     * @param request - OpenQueryMinutesSummaryRequest
     * @param headers - OpenQueryMinutesSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns OpenQueryMinutesSummaryResponse
     */
    openQueryMinutesSummaryWithOptions(request: OpenQueryMinutesSummaryRequest, headers: OpenQueryMinutesSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<OpenQueryMinutesSummaryResponse>;
    /**
     * 查询闪记摘要
     *
     * @param request - OpenQueryMinutesSummaryRequest
     * @returns OpenQueryMinutesSummaryResponse
     */
    openQueryMinutesSummary(request: OpenQueryMinutesSummaryRequest): Promise<OpenQueryMinutesSummaryResponse>;
    /**
     * 查询闪会、文档等来源的闪记列表
     *
     * @param request - QueryBizMinutesRequest
     * @param headers - QueryBizMinutesHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryBizMinutesResponse
     */
    queryBizMinutesWithOptions(request: QueryBizMinutesRequest, headers: QueryBizMinutesHeaders, runtime: $Util.RuntimeOptions): Promise<QueryBizMinutesResponse>;
    /**
     * 查询闪会、文档等来源的闪记列表
     *
     * @param request - QueryBizMinutesRequest
     * @returns QueryBizMinutesResponse
     */
    queryBizMinutes(request: QueryBizMinutesRequest): Promise<QueryBizMinutesResponse>;
    /**
     * 查询自己创建的闪记列表
     *
     * @param request - QueryCreateMinutesListRequest
     * @param headers - QueryCreateMinutesListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryCreateMinutesListResponse
     */
    queryCreateMinutesListWithOptions(request: QueryCreateMinutesListRequest, headers: QueryCreateMinutesListHeaders, runtime: $Util.RuntimeOptions): Promise<QueryCreateMinutesListResponse>;
    /**
     * 查询自己创建的闪记列表
     *
     * @param request - QueryCreateMinutesListRequest
     * @returns QueryCreateMinutesListResponse
     */
    queryCreateMinutesList(request: QueryCreateMinutesListRequest): Promise<QueryCreateMinutesListResponse>;
    /**
     * 查询闪记基本信息
     *
     * @param request - QueryMinutesBasicInfoRequest
     * @param headers - QueryMinutesBasicInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesBasicInfoResponse
     */
    queryMinutesBasicInfoWithOptions(request: QueryMinutesBasicInfoRequest, headers: QueryMinutesBasicInfoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesBasicInfoResponse>;
    /**
     * 查询闪记基本信息
     *
     * @param request - QueryMinutesBasicInfoRequest
     * @returns QueryMinutesBasicInfoResponse
     */
    queryMinutesBasicInfo(request: QueryMinutesBasicInfoRequest): Promise<QueryMinutesBasicInfoResponse>;
    /**
     * 查询闪记关键字
     *
     * @param request - QueryMinutesKeywordRequest
     * @param headers - QueryMinutesKeywordHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesKeywordResponse
     */
    queryMinutesKeywordWithOptions(taskUuid: string, request: QueryMinutesKeywordRequest, headers: QueryMinutesKeywordHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesKeywordResponse>;
    /**
     * 查询闪记关键字
     *
     * @param request - QueryMinutesKeywordRequest
     * @returns QueryMinutesKeywordResponse
     */
    queryMinutesKeyword(taskUuid: string, request: QueryMinutesKeywordRequest): Promise<QueryMinutesKeywordResponse>;
    /**
     * 查询闪记媒体播放信息
     *
     * @param request - QueryMinutesPlayInfoRequest
     * @param headers - QueryMinutesPlayInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesPlayInfoResponse
     */
    queryMinutesPlayInfoWithOptions(taskUuid: string, request: QueryMinutesPlayInfoRequest, headers: QueryMinutesPlayInfoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesPlayInfoResponse>;
    /**
     * 查询闪记媒体播放信息
     *
     * @param request - QueryMinutesPlayInfoRequest
     * @returns QueryMinutesPlayInfoResponse
     */
    queryMinutesPlayInfo(taskUuid: string, request: QueryMinutesPlayInfoRequest): Promise<QueryMinutesPlayInfoResponse>;
    /**
     * 获取与我共享闪记列表
     *
     * @param request - QueryMinutesShareListRequest
     * @param headers - QueryMinutesShareListHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesShareListResponse
     */
    queryMinutesShareListWithOptions(request: QueryMinutesShareListRequest, headers: QueryMinutesShareListHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesShareListResponse>;
    /**
     * 获取与我共享闪记列表
     *
     * @param request - QueryMinutesShareListRequest
     * @returns QueryMinutesShareListResponse
     */
    queryMinutesShareList(request: QueryMinutesShareListRequest): Promise<QueryMinutesShareListResponse>;
    /**
     * 查询闪记状态
     *
     * @param request - QueryMinutesStatusRequest
     * @param headers - QueryMinutesStatusHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesStatusResponse
     */
    queryMinutesStatusWithOptions(taskUuid: string, request: QueryMinutesStatusRequest, headers: QueryMinutesStatusHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesStatusResponse>;
    /**
     * 查询闪记状态
     *
     * @param request - QueryMinutesStatusRequest
     * @returns QueryMinutesStatusResponse
     */
    queryMinutesStatus(taskUuid: string, request: QueryMinutesStatusRequest): Promise<QueryMinutesStatusResponse>;
    /**
     * 查询闪记转写文本内容
     *
     * @param request - QueryMinutesTextRequest
     * @param headers - QueryMinutesTextHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesTextResponse
     */
    queryMinutesTextWithOptions(taskUuid: string, request: QueryMinutesTextRequest, headers: QueryMinutesTextHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesTextResponse>;
    /**
     * 查询闪记转写文本内容
     *
     * @param request - QueryMinutesTextRequest
     * @returns QueryMinutesTextResponse
     */
    queryMinutesText(taskUuid: string, request: QueryMinutesTextRequest): Promise<QueryMinutesTextResponse>;
    /**
     * 查询闪记待办
     *
     * @param request - QueryMinutesTodoRequest
     * @param headers - QueryMinutesTodoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryMinutesTodoResponse
     */
    queryMinutesTodoWithOptions(taskUuid: string, request: QueryMinutesTodoRequest, headers: QueryMinutesTodoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryMinutesTodoResponse>;
    /**
     * 查询闪记待办
     *
     * @param request - QueryMinutesTodoRequest
     * @returns QueryMinutesTodoResponse
     */
    queryMinutesTodo(taskUuid: string, request: QueryMinutesTodoRequest): Promise<QueryMinutesTodoResponse>;
    /**
     * 查询预约会议闪记列表
     *
     * @param request - QueryScheduleConfMinutesRequest
     * @param headers - QueryScheduleConfMinutesHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryScheduleConfMinutesResponse
     */
    queryScheduleConfMinutesWithOptions(scheduleConferenceId: string, request: QueryScheduleConfMinutesRequest, headers: QueryScheduleConfMinutesHeaders, runtime: $Util.RuntimeOptions): Promise<QueryScheduleConfMinutesResponse>;
    /**
     * 查询预约会议闪记列表
     *
     * @param request - QueryScheduleConfMinutesRequest
     * @returns QueryScheduleConfMinutesResponse
     */
    queryScheduleConfMinutes(scheduleConferenceId: string, request: QueryScheduleConfMinutesRequest): Promise<QueryScheduleConfMinutesResponse>;
    /**
     * 查询DingTalkA1小助理分析
     *
     * @param request - QuerySmartDeviceAiSummaryRequest
     * @param headers - QuerySmartDeviceAiSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QuerySmartDeviceAiSummaryResponse
     */
    querySmartDeviceAiSummaryWithOptions(request: QuerySmartDeviceAiSummaryRequest, headers: QuerySmartDeviceAiSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<QuerySmartDeviceAiSummaryResponse>;
    /**
     * 查询DingTalkA1小助理分析
     *
     * @param request - QuerySmartDeviceAiSummaryRequest
     * @returns QuerySmartDeviceAiSummaryResponse
     */
    querySmartDeviceAiSummary(request: QuerySmartDeviceAiSummaryRequest): Promise<QuerySmartDeviceAiSummaryResponse>;
    /**
     * 根据模板id查询摘要
     *
     * @param request - QuerySummaryWithTemplateRequest
     * @param headers - QuerySummaryWithTemplateHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QuerySummaryWithTemplateResponse
     */
    querySummaryWithTemplateWithOptions(taskUuid: string, request: QuerySummaryWithTemplateRequest, headers: QuerySummaryWithTemplateHeaders, runtime: $Util.RuntimeOptions): Promise<QuerySummaryWithTemplateResponse>;
    /**
     * 根据模板id查询摘要
     *
     * @param request - QuerySummaryWithTemplateRequest
     * @returns QuerySummaryWithTemplateResponse
     */
    querySummaryWithTemplate(taskUuid: string, request: QuerySummaryWithTemplateRequest): Promise<QuerySummaryWithTemplateResponse>;
    /**
     * 查询上传视频播放信息
     *
     * @param request - QueryUploadVideoPlayInfoRequest
     * @param headers - QueryUploadVideoPlayInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryUploadVideoPlayInfoResponse
     */
    queryUploadVideoPlayInfoWithOptions(videoId: string, request: QueryUploadVideoPlayInfoRequest, headers: QueryUploadVideoPlayInfoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryUploadVideoPlayInfoResponse>;
    /**
     * 查询上传视频播放信息
     *
     * @param request - QueryUploadVideoPlayInfoRequest
     * @returns QueryUploadVideoPlayInfoResponse
     */
    queryUploadVideoPlayInfo(videoId: string, request: QueryUploadVideoPlayInfoRequest): Promise<QueryUploadVideoPlayInfoResponse>;
    /**
     * 更新闪记标题
     *
     * @param request - UpdateMinutesTitleRequest
     * @param headers - UpdateMinutesTitleHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdateMinutesTitleResponse
     */
    updateMinutesTitleWithOptions(taskUuid: string, request: UpdateMinutesTitleRequest, headers: UpdateMinutesTitleHeaders, runtime: $Util.RuntimeOptions): Promise<UpdateMinutesTitleResponse>;
    /**
     * 更新闪记标题
     *
     * @param request - UpdateMinutesTitleRequest
     * @returns UpdateMinutesTitleResponse
     */
    updateMinutesTitle(taskUuid: string, request: UpdateMinutesTitleRequest): Promise<UpdateMinutesTitleResponse>;
    /**
     * 更新闪记权限
     *
     * @param request - UpdatePermissionRequest
     * @param headers - UpdatePermissionHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns UpdatePermissionResponse
     */
    updatePermissionWithOptions(taskUuid: string, request: UpdatePermissionRequest, headers: UpdatePermissionHeaders, runtime: $Util.RuntimeOptions): Promise<UpdatePermissionResponse>;
    /**
     * 更新闪记权限
     *
     * @param request - UpdatePermissionRequest
     * @returns UpdatePermissionResponse
     */
    updatePermission(taskUuid: string, request: UpdatePermissionRequest): Promise<UpdatePermissionResponse>;
}
